package com.sheep.gamegroup.model.entity;

import android.text.TextUtils;

import java.io.Serializable;

/**
 * 获取已经发布任务
 * Created by ljy on 2018/3/20.
 */

public class TaskReleaseEty implements Serializable{
    private String bonus;// 0,
    private String create_time;// 0,
    private String deadline;// 0,
    private String duration;// 0,
    private int id;// 0,
    private String last_num;// 0,
    private String name;//private String string",
    private String online_time;// 0,
    private String online_type;// 0,
    private String release_num;// 0,
    private String remarks;//private String string",
    private int status;// 0,
    private String submit_num;// 0,
    private String task_id;// 0,
    private String unaudited_num;// 0,
    private String update_time;// 0

    private int is_hot;// 0,
    private int is_recommend;// 0,
    private int accepted_task_id;// 0,

    private TaskEty task;

    private int cancel_duration;
    private boolean is_running;
    private String child_task_name;//

    public String getLabel_color() {
        return label_color;
    }

    public void setLabel_color(String label_color) {
        this.label_color = label_color;
    }

    private String label_color;//

    public String getChild_task_name() {
        return child_task_name;
    }

    public void setChild_task_name(String child_task_name) {
        this.child_task_name = child_task_name;
    }

    public boolean isIs_running() {
        return is_running;
    }

    public void setIs_running(boolean is_running) {
        this.is_running = is_running;
    }

    public int getAccepted_task_id() {
        return accepted_task_id;
    }

    public void setAccepted_task_id(int accepted_task_id) {
        this.accepted_task_id = accepted_task_id;
    }

    public int getIs_hot() {
        return is_hot;
    }

    public void setIs_hot(int is_hot) {
        this.is_hot = is_hot;
    }

    public int getIs_recommend() {
        return is_recommend;
    }

    public void setIs_recommend(int is_recommend) {
        this.is_recommend = is_recommend;
    }

    public int getCancel_duration() {
        return cancel_duration;
    }

    public void setCancel_duration(int cancel_duration) {
        this.cancel_duration = cancel_duration;
    }

    public String getBonus() {
        return bonus;
    }

    public void setBonus(String bonus) {
        this.bonus = bonus;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public String getDeadline() {
        return deadline;
    }

    public void setDeadline(String deadline) {
        this.deadline = deadline;
    }

    public String getDuration() {
        return duration;
    }

    public void setDuration(String duration) {
        this.duration = duration;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getLast_num() {
        return TextUtils.isEmpty(last_num)?"0":last_num;
    }

    public void setLast_num(String last_num) {
        this.last_num = last_num;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOnline_time() {
        return online_time;
    }

    public void setOnline_time(String online_time) {
        this.online_time = online_time;
    }

    public String getOnline_type() {
        return online_type;
    }

    public void setOnline_type(String online_type) {
        this.online_type = online_type;
    }

    public String getRelease_num() {
        return release_num;
    }

    public void setRelease_num(String release_num) {
        this.release_num = release_num;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getSubmit_num() {
        return submit_num;
    }

    public void setSubmit_num(String submit_num) {
        this.submit_num = submit_num;
    }

    public String getTask_id() {
        return task_id;
    }

    public void setTask_id(String task_id) {
        this.task_id = task_id;
    }

    public String getUnaudited_num() {
        return unaudited_num;
    }

    public void setUnaudited_num(String unaudited_num) {
        this.unaudited_num = unaudited_num;
    }

    public String getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(String update_time) {
        this.update_time = update_time;
    }

    public TaskEty getTask() {
        return task;
    }

    public void setTask(TaskEty task) {
        this.task = task;
    }
}
